<?php
include 'rprng.php';

//Test function
$rprng = new RepeatablePseudoRNG('Remilia');
$rprng->perform_rounds(80);
$values = array();
$rounds = 100000;
$max = 1000;
$min = -1000;
//Averages should be fairly close to the midpoint between these numbers.
for($i = 0; $i < $rounds; $i++)
{
   $v = $rprng->fetch_float($min,$max);
   if($v > $max)
   {
      echo "Number exceeds maximum, exitting!\n";
      exit;
   }
   if($v < $min)
   {
       echo "Number preceeds minimum, exitting!\n";
      exit;
   }
   $values[] = $v;
   printf("%.6f\n", $v);
}
$ivals = array();
for($i = 0; $i < $rounds; $i++)
{
   $v = $rprng->fetch_int(intval($min),intval($max));
   if($v > intval($max))
   {
      echo "Number exceeds maximum, exitting!\n";
      exit;
   }
   $ivals[] = $v;
   printf("%.d\n", $v);
}
echo "Float $rounds Average: ".(array_sum($values)/$rounds)."\n";
echo "Integer $rounds Average: ".(array_sum($ivals)/$rounds)."\n";